# Section 1: The `print()` Function
print("--- print() Function ---")
# Printing different types of output
print("Hello, Python!")
print(123)

name = "Charlie"
print("My name is", name) # Printing multiple items separated by a comma

age = 30
print(f"I am {age} years old.") # Using an f-string for easy formatting
print("----------------------\n")


# Section 2: The `input()` Function
print("--- input() Function ---")
# Getting input from the user
# user_name = input("Enter your name: ") # Uncomment to run in an interactive environment
# print(f"Nice to meet you, {user_name}!")
print("Example: input('Enter your name: ') gets user input as a string.")
print("----------------------\n")


# Section 3: Converting Input Data Types
print("--- Converting Input Data Types ---")
# Getting numeric input and converting it
# Note: This part requires interactive input.
# Example with integer:
# age_str = input("Enter your age: ") # Uncomment to run in an interactive environment
# try:
#     age_int = int(age_str) # Convert the input string to an integer
#     print(f"You are {age_int} years old.")
#     print(type(age_int)) # Verify the data type is now int
# except ValueError:
#     print("Invalid input for age. Please enter a number.")

# Example with float:
# price_str = input("Enter the price: ") # Uncomment to run in an interactive environment
# try:
#     price_float = float(price_str) # Convert to a float
#     print(f"The price is: ${price_float}")
#     print(type(price_float))
# except ValueError:
#     print("Invalid input for price. Please enter a number.")

print("Example: int(input('Enter your age: ')) converts input string to integer.")
print("Example: float(input('Enter the price: ')) converts input string to float.")
print("-----------------------------------\n")

# Example of combining input and output in a simple program
print("--- Simple Input/Output Program Example ---")
# program_name = input("What is your program's name? ") # Uncomment to run in an interactive environment
# print(f"Okay, let's run {program_name}!")
print("This section shows how to combine input() and print() for simple interaction.")
print("-----------------------------------------\n")